[dia: 1/2] replace libtool* with glibtool* on Darvin



commit d2ddd831c88aa166f1292e919f6953352747bf83
Author: Tomas Pospisek <tpo_hp sourcepole ch>
Date:   Thu Jun 7 20:51:30 2018 +0200

    replace libtool* with glibtool* on Darvin
    
    Darvin seems to have a libtool from NeXT that conflicts with the one
    from GNU.
    
    Based patch daa8fd5bda603f109934e06abf6d42a053be5e49 from
    Leonardo Javier Belen <leobelen gmail com>.

 autogen.sh | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 36bfa5ee..140ef30d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -14,6 +14,17 @@ FILE=objects
 
 DIE=0
 
+case "$(uname -s)" in
+       Darvin)
+               libtool=glibtool
+               libtoolize=glibtoolize
+               ;;
+       *)
+               libtool=libtool
+               libtoolize=libtoolize
+               ;;
+esac
+
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
        echo
        echo "You must have autoconf installed to compile $PROJECT."
@@ -22,7 +33,7 @@ DIE=0
        DIE=1
 }
 
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
+($libtool --version) < /dev/null > /dev/null 2>&1 || {
        echo
        echo "You must have libtool installed to compile $PROJECT."
        echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz";
@@ -66,7 +77,7 @@ echo "Running intltoolize"
 intltoolize --copy --force --automake
 
 echo "Running libtoolize"
-libtoolize --copy --force
+$libtoolize --copy --force
 
 aclocal $ACLOCAL_FLAGS
 autoheader


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]